Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ExtendedRequestDefinition

    java.lang.Object
      |
      +--org.openspml.message.ExtendedRequestDefinition

public class ExtendedRequestDefinition
extends java.lang.Object

A class representing an `extendedRequestDefinition` element.

Constructor Summary
`ExtendedRequestDefinition()`

Method Summary
`void` | `addParameter(AttributeDefinitionReference ref)`
`void` | `addReturnValue(AttributeDefinitionReference ref)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getElementName()`
`OperationIdentifier` | `getOperationIdentifier()`
`java.lang.String` | `getOperationIdentifierString()`
`java.util.List` | `getParameterDefinitions()` Convenience accessor to return a list of resolved AttributeDefinition objects.
`java.util.List` | `getParameters()`
`java.util.Map` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.util.List` | `getReturnValues()`
`void` | `setDescription(java.lang.String s)`
`void` | `setOperationIdentifier(OperationIdentifier id)`
`void` | `setOperationIdentifier(java.lang.String id)`
`void` | `setParameters(java.util.List l)`
`void` | `setProperties(java.util.Map props)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setReturnValues(java.util.List l)`
`void` | `setSchema(Schema s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedRequestDefinition

    public ExtendedRequestDefinition()

Method Detail

### setSchema

    public void setSchema(Schema s)

### setDescription

    public void setDescription(java.lang.String s)

### setOperationIdentifier

    public void setOperationIdentifier(OperationIdentifier id)

### setOperationIdentifier

    public void setOperationIdentifier(java.lang.String id)

### setProperties

    public void setProperties(java.util.Map props)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### setParameters

    public void setParameters(java.util.List l)

### addParameter

    public void addParameter(AttributeDefinitionReference ref)

### setReturnValues

    public void setReturnValues(java.util.List l)

### addReturnValue

    public void addReturnValue(AttributeDefinitionReference ref)

### getDescription

    public java.lang.String getDescription()

### getOperationIdentifier

    public OperationIdentifier getOperationIdentifier()

### getOperationIdentifierString

    public java.lang.String getOperationIdentifierString()

### getProperties

    public java.util.Map getProperties()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### getParameters

    public java.util.List getParameters()

### getParameterDefinitions

    public java.util.List getParameterDefinitions()

  Convenience accessor to return a list of resolved AttributeDefinition objects. // Hmm, what we really need is a combination of the definition // and the reference so we can combine the required flag with the // multi flag etc.

### getReturnValues

    public java.util.List getReturnValues()

### getElementName

    public java.lang.String getElementName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD